org.springframework.data.repository.config

## Class NamedQueriesBeanDefinitionParser

- java.lang.Object
- - org.springframework.data.repository.config.NamedQueriesBeanDefinitionParser

All Implemented Interfaces:
  BeanDefinitionParser

    public class NamedQueriesBeanDefinitionParser
    extends Object
    implements BeanDefinitionParser

`BeanDefinitionParser` to create `BeanDefinition`s of `NamedQueries` instances looking up a `Properties` file fom the given location.

Author:
  Oliver Gierke

### Constructor Summary

Constructors
Constructor and Description
`NamedQueriesBeanDefinitionParser(String defaultLocation)` Creates a new `NamedQueriesBeanDefinitionParser` using the given default location.

### Method Summary

All Methods Instance Methods Concrete Methods
`BeanDefinition` `parse(Element element, ParserContext parserContext)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### NamedQueriesBeanDefinitionParser

    public NamedQueriesBeanDefinitionParser(String defaultLocation)

Creates a new `NamedQueriesBeanDefinitionParser` using the given default location.

Parameters:
  `defaultLocation` - must be non-empty

### Method Detail

#### parse

    @Nonnull
    public BeanDefinition parse(Element element,
                                         ParserContext parserContext)

Specified by:
  `parse` in interface `BeanDefinitionParser`